View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001607SAS.Планета[All Projects] Багpublic07-10-2012 06:0110-10-2012 04:51
ReporterTolik 
Assigned ToGarl 
PriorityurgentSeveritymajorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version.Nightly 
Target Version121010Fixed in Version121010 
Summary0001607: Новые глюки в градусной сетке
DescriptionВ версии 121007.6477 появились глюки, см. скриншоты.
Когда числа попадают на границу тайлов, они двоятся.
TagsNo tags attached.
Attached Filespng file icon 2012-10-07_094812.png [^] (27,825 bytes) 07-10-2012 06:01


png file icon 2012-10-07_100309.png [^] (33,651 bytes) 07-10-2012 06:03


png file icon 2012-10-07_101108.png [^] (20,703 bytes) 07-10-2012 06:11


png file icon 2012-10-07_101603.png [^] (20,797 bytes) 07-10-2012 06:16


png file icon 2012-10-09_092847.png [^] (70,839 bytes) 09-10-2012 05:29


png file icon 2012-10-09_093155.png [^] (50,350 bytes) 09-10-2012 05:32


png file icon 2012-10-09_093642.png [^] (1,009 bytes) 09-10-2012 05:37


7z file icon SASPlanet.7z [^] (1,507,672 bytes) 09-10-2012 16:22
png file icon 2012-10-09_202641.png [^] (1,763 bytes) 09-10-2012 16:28

- Relationships

-  Notes
(0009218)
Tolik (manager)
07-10-2012 06:13

На 3-й картинке виден ещё один глюк: в формате "только градусы" показывает очень много нулей.
(0009219)
Tolik (manager)
07-10-2012 06:17

На 4-й другое замечание: "-0" вместо "0".
(0009309)
Tolik (manager)
08-10-2012 15:56
edited on: 08-10-2012 15:58

Видимо, коммит f86bb0e4ff5d попал в SASPlanet_Debug_Bug_1264.rar, так вот, в результате пропали конечные нули в режиме WS deg.min.sec. Вообще все.
Давайте, что ли, как-то общими усилиями придумаем алгоритм вывода красивых чисел без использования регулярных выражений, которые обрезают всё что ни попадя.

(0009310)
Garl (manager)
08-10-2012 16:03
edited on: 08-10-2012 17:56

та надо просто контрольные точки взять и на них проверять все 6 режимов работы.
вроде профиксил пропадание 0 и у градусов кратных десяти.

(0009337)
Tolik (manager)
09-10-2012 03:55

Сегодня в режиме WS deg.min.sec нули не появились.
(0009344)
Garl (manager)
09-10-2012 05:12

ну что тогда проверяем во всех остальных вариантах и добиваем этот долгоиграющий тикет
(0009346)
Tolik (manager)
09-10-2012 05:23
edited on: 09-10-2012 05:46

Да, давайте добьём.

Глюки с двоением чисел исчезли, незначащие нули в режиме --deg. тоже.
Пока вижу проблемы:

1. нет нулей в режиме WS deg.min.sec и WS deg.min. (т.е. W1 вместо W10) (blocking!)
2. "-0" на экваторе и нулевом меридиане.
3. в режиме WS deg.min и --deg.min. куча незначащих нулей (например, E37°22.5000' на z17)
4. нет нулей в западном и южном полушарии в режиме --deg.min.sec. и --deg.min. (т.е. -1 вместо -10)
5. искажение цифр на границе тайлов (скриншот 2012-10-09_093642.png, уж не знаю, может это другая тема)

(0009347)
Garl (manager)
09-10-2012 05:24

>1. нет нулей в режиме WS deg.min.sec (blocking!)
скриншот мона?
(0009348)
Tolik (manager)
09-10-2012 05:29
edited on: 09-10-2012 05:30

> скриншот мона?
конечно!
То же самое в режиме WS deg.min.

(0009349)
Garl (manager)
09-10-2012 05:39

>1. нет нулей в режиме WS deg.min.sec (blocking!)
а что не так то?
W1° очень даже красиво или должно быть W1.00°
(0009351)
Tolik (manager)
09-10-2012 05:41

Добавил глюков в пост 0001607:0009346, может ещё добавлю.
(0009352)
Tolik (manager)
09-10-2012 05:45

> W1° очень даже красиво или должно быть W1.00°
Да, очень красиво, но д.б. 10 градусов
(0009364)
vdemidov (manager)
09-10-2012 06:39

Garl. Кончай маяться дурью с регэкспами. Напиши нормальное формирование строк из чисел напрямую.
Лучше всего добавь в методы IValueToStringConverter
    function LonConvert(ALon: Double): string;
    function LatConvert(ALat: Double): string;
параметр указывающий полную версию нужно или обрезанную и всего делов.
(0009424)
Garl (manager)
09-10-2012 16:23

так и сделал.
заодно убрал 0 градусов букву ибо 0 он и в африке ноль.
пока щупаем .exe
(0009425)
Tolik (manager)
09-10-2012 16:28
edited on: 09-10-2012 16:34

Хорошо, пощупаем...

1. на 85-с-чем-то параллели на зуме 4 цифры не помещаются. Может, эту параллель совсем не рисовать? 2012-10-09_202641.png
2. искажение цифр на границе тайлов (скриншот 2012-10-09_093642.png, уж не знаю, может это другая тема)

Вроде всё хорошо!

(0009427)
Garl (manager)
09-10-2012 16:31
edited on: 09-10-2012 16:32

> Может, эту параллель совсем не рисовать?
сильно много заморочек. проще на это глаза закрыть.

> искажение цифр на границе тайлов
ИМХО другая тема.

(0009428)
Tolik (manager)
09-10-2012 16:35

или сделать на мелких зумах больше шаг
(0009429)
Garl (manager)
09-10-2012 16:53

fixed: подписи параллели больше 85 - больше не выводим.(оказалось просто)

- Users who viewed this issue
User List Anonymous (1879x)
Total Views 1879
Last View 28-01-2020 01:44

- Issue History
Date Modified Username Field Change
07-10-2012 06:01 Tolik New Issue
07-10-2012 06:01 Tolik Status new => assigned
07-10-2012 06:01 Tolik Assigned To => Garl
07-10-2012 06:01 Tolik File Added: 2012-10-07_094812.png
07-10-2012 06:03 Tolik File Added: 2012-10-07_100309.png
07-10-2012 06:04 Tolik Description Updated View Revisions
07-10-2012 06:05 Tolik Description Updated View Revisions
07-10-2012 06:08 Tolik File Added: 2012-10-07_100822.png
07-10-2012 06:11 Tolik File Deleted: 2012-10-07_100822.png
07-10-2012 06:11 Tolik File Added: 2012-10-07_101108.png
07-10-2012 06:13 Tolik Note Added: 0009218
07-10-2012 06:16 Tolik File Added: 2012-10-07_101603.png
07-10-2012 06:17 Tolik Note Added: 0009219
08-10-2012 15:56 Tolik Note Added: 0009309
08-10-2012 15:57 Tolik Priority normal => urgent
08-10-2012 15:57 Tolik Severity minor => major
08-10-2012 15:58 Tolik Note Edited: 0009309 View Revisions
08-10-2012 16:03 Garl Note Added: 0009310
08-10-2012 17:56 Garl Note Edited: 0009310 View Revisions
09-10-2012 03:55 Tolik Note Added: 0009337
09-10-2012 05:12 Garl Note Added: 0009344
09-10-2012 05:23 Tolik Note Added: 0009346
09-10-2012 05:24 Garl Note Added: 0009347
09-10-2012 05:27 Tolik Note Edited: 0009346 View Revisions
09-10-2012 05:29 Tolik File Added: 2012-10-09_092847.png
09-10-2012 05:29 Tolik Note Added: 0009348
09-10-2012 05:30 Tolik Note Edited: 0009348 View Revisions
09-10-2012 05:30 Tolik Note Edited: 0009346 View Revisions
09-10-2012 05:32 Tolik File Added: 2012-10-09_093155.png
09-10-2012 05:33 Tolik Note Edited: 0009346 View Revisions
09-10-2012 05:35 Tolik Note Edited: 0009346 View Revisions
09-10-2012 05:35 Tolik Note Edited: 0009346 View Revisions
09-10-2012 05:37 Tolik Note Edited: 0009346 View Revisions
09-10-2012 05:37 Tolik File Added: 2012-10-09_093642.png
09-10-2012 05:39 Garl Note Added: 0009349
09-10-2012 05:41 Tolik Note Added: 0009351
09-10-2012 05:45 Tolik Note Added: 0009352
09-10-2012 05:46 Tolik Note Edited: 0009346 View Revisions
09-10-2012 05:46 Garl File Added: SASPlanet.7z
09-10-2012 06:39 vdemidov Note Added: 0009364
09-10-2012 08:00 vdemidov Target Version => 121010
09-10-2012 16:21 Garl File Deleted: SASPlanet.7z
09-10-2012 16:22 Garl File Added: SASPlanet.7z
09-10-2012 16:23 Garl Note Added: 0009424
09-10-2012 16:28 Tolik Note Added: 0009425
09-10-2012 16:28 Tolik File Added: 2012-10-09_202641.png
09-10-2012 16:31 Tolik Note Edited: 0009425 View Revisions
09-10-2012 16:31 Garl Note Added: 0009427
09-10-2012 16:32 Garl Note Edited: 0009427 View Revisions
09-10-2012 16:34 Tolik Note Edited: 0009425 View Revisions
09-10-2012 16:35 Tolik Note Added: 0009428
09-10-2012 16:53 Garl Note Added: 0009429
10-10-2012 04:51 Tolik Status assigned => resolved
10-10-2012 04:51 Tolik Fixed in Version => 121010
10-10-2012 04:51 Tolik Resolution open => fixed



Copyright © 2007 - 2020 SAS.Planet Team